# Installer for Belchertown weewx skin
# Pat O'Brien, 2018

from setup import ExtensionInstaller

def loader():
    return ExfoliationInstaller()

class ExfoliationInstaller(ExtensionInstaller):
    def __init__(self):
        super(ExfoliationInstaller, self).__init__(
            version="0.6",
            name='Emkubed',
            description='A theme designed to produce data for the iOS Weewx Weather App. Inspired by the Belchertown skin',
            author="Meryon Montgomery",
            author_email="apps@emkubed.com.au",
            config={
                'StdReport': {
                    'Emkubed': {
                        'skin':'Emkubed',
                        'HTML_ROOT':'emkubed',
                        'enable' : 'true'
                    }
                }
            },
            files=[('skins/Emkubed', ['skins/Emkubed/skin.conf']),
                   ('skins/Emkubed/json', ['skins/Emkubed/json/emkubed_data.json.tmpl',
                                              'skins/Emkubed/json/history.json.tmpl'])]
        )
